Bug 176501 - Failure to build under mock
Failure to build under mock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 13:51 EST by Ignacio Vazquez-Abrams
Modified: 2013-07-02 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-23 13:51:53 EST
I get the following errors when building under mock:

cc -c -I. -I../.. -D_GNU_SOURCE -D_REENTRANT -O2 -g -pipe
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4
-fasynchronous-unwind-tables ../../env/env_open.c  -fPIC -DPIC -o .libs/env_open.o
../../env/env_open.c: In function 'db_version':
../../env/env_open.c:52: error: '__EDIT_DB_VERSION_MAJOR__' undeclared (first
use in this function)
../../env/env_open.c:52: error: (Each undeclared identifier is reported only once
../../env/env_open.c:52: error: for each function it appears in.)
../../env/env_open.c:54: error: '__EDIT_DB_VERSION_MINOR__' undeclared (first
use in this function)
../../env/env_open.c:56: error: '__EDIT_DB_VERSION_PATCH__' undeclared (first
use in this function)
make: *** [env_open.lo] Error 1

This usually indicates a missing BuildRequires, but in this case I can't figure
out which one.
Comment 1 Jindrich Novy 2006-02-17 07:28:48 EST
Missing dependency to ed causes the mock build failure.
Comment 2 Bill Nottingham 2006-09-21 22:19:09 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.